<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>CSS Common Styling</title>

		<!-- external CSS styling -->
		<link rel="stylesheet" href="./index.css">
	</head>
	<body>
		<h3>CSS Units</h3>

		<h4>px versus %</h4>
		<div class="box fifty-percent">50%</div>
		<div class="box one-hundred-pixcels">100px</div>
		<br>

		<div class="parent">
			<div class="box fifty-percent">50%</div>
			<div class="box one-hundred-pixcels">100px</div>
		</div>

		<h4>Viewport width and height</h4>
		<div class="box fifty-vw">50vw</div>
		<div class="box twenty-five-vh">25vh</div>

		<div class="parent">
			<div class="box fifty-vw">50vw</div>
		<div class="box twenty-five-vh">25vh</div>
		</div>
		<!--  -->
		<h4>rem and em</h4>

		<!-- 1rem = 1em = 16px -->
		<div>16px</div>
		<div class="one-rem">1rem</div>
		<div class="one-em">1em</div>
		<div class="two-rem">2rem</div>
		<div class="two-em">2em</div>

		<div class = "parent-2">
			<div class="one-rem">1rem</div>
			<div class="one-em">1em</div>
			<div class="two-rem">2rem</div>
			<div class="two-em">2em</div>
		</div>
		<!--  -->

		<hr>

		<!-- CSS Background -->
		<section class="background">
			<div class="container-bg">
			<h3 class="bg-title">CSS Background Properties</h3>
			</div>
		</section>
		<!-- end of CSS Background -->
	</body>
</html>